curl -X PATCH "https://api.whatabot.app/api/v1/kanban/cards/card-uuid" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"values": {"amount": 3000.00}, "tags": ["priority"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": "session-uuid",
"tags": ["priority"],
"values": {
"name": "Maria Souza",
"amount": 3000.00,
"status": "qualified"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T12:30:00.000Z"
}
Kanban
Atualizar Card
Atualiza os valores ou tags de um card.
PATCH
/
v1
/
kanban
/
cards
/
{id}
curl -X PATCH "https://api.whatabot.app/api/v1/kanban/cards/card-uuid" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"values": {"amount": 3000.00}, "tags": ["priority"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": "session-uuid",
"tags": ["priority"],
"values": {
"name": "Maria Souza",
"amount": 3000.00,
"status": "qualified"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T12:30:00.000Z"
}
Atualiza os campos de um card existente.
string
obrigatório
Sua chave de API (prefixada com
wh_).string
obrigatório
UUID do card.
Body
object
Novos valores dos campos do card.
string[]
Nova lista de tags (substitui as tags anteriores).
Exemplos de payload
- Atualizar valores
- Atualizar tags
{
"values": {
"amount": 3000.00,
"status": "qualified"
}
}
{
"tags": ["enterprise", "priority"]
}
curl -X PATCH "https://api.whatabot.app/api/v1/kanban/cards/card-uuid" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"values": {"amount": 3000.00}, "tags": ["priority"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": "session-uuid",
"tags": ["priority"],
"values": {
"name": "Maria Souza",
"amount": 3000.00,
"status": "qualified"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T12:30:00.000Z"
}